Автор Тема: Поддержка видеокарты nvidia FX5200 в различных платформах ALT Linux  (Прочитано 5946 раз)

Оффлайн rani

  • Начинающий
  • *
  • Сообщений: 4
sb

Скажите, как, совместимы ли эти образы Simply Linux 6.0.0 или даже 7.0.5 со старыми видеокартами AGP 128M GeForce FX 5200-8X, имеющими эту память в 128 Мбит.
Будут ли эти ОС загружаться не только в текстовом, а и в графическом изображении.

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 8 102
  • Кто ищет, тот найдёт.
    • Email
Скажите, как, совместимы ли эти образы Simply Linux 6.0.0 ... со старыми видеокартами AGP 128M GeForce FX 5200-8X, имеющими эту память в 128 Мбит.
Шестая платформа с этими картами совместима, как и пятая.
или даже 7.0.5
А эта не совместима, нормальной работы не получите.
Будут ли эти ОС загружаться не только в текстовом, а и в графическом изображении.
Будут нормально работать только дистрибутивы шестой/пятой платформ. Четвертая тоже работала бы, да там софт совсем древний.

Оффлайн rani

  • Начинающий
  • *
  • Сообщений: 4
Шестая платформа с этими картами совместима

Вот спасибо, а то не понять - обычно пишут только о минимальном разрешении видеокарты.
Если ставить шестую платформу, то обновлений безопасности я уже не буду получать?? - т.е. получится "та же XP".
В этом линуксе с обновлениями также как в виндосе? - для старого оборудования не будет обновлений и вынуждают покупать новое железо.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
В этом линуксе с обновлениями также как в виндосе? - для старого оборудования не будет обновлений и вынуждают покупать новое железо.
Ну, теоретически, никто не запрещает взять старый драйвер и переделать его, что-бы он смог работать с новым xorg. Но для этого нужна или соответствующая квалификация + необходимое свободное время для этого + интерес в этом, или наличие  определённых средств, что-бы это кто-то сделал для вас за деньги.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Вот спасибо, а то не понять - обычно пишут только о минимальном разрешении видеокарты.
Это где пишут?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Если ставить шестую платформу, то обновлений безопасности я уже не буду получать??
Критические , будете, если они будут реализованы в рамках шестой платформы. А с учётом того, что сертифицированная версия 6-й платформы поддерживается  до 18 апреля 2016 года, то и в p6 должны попадать обновления безопасности.

Оффлайн rani

  • Начинающий
  • *
  • Сообщений: 4
Это где пишут?

Да почти везде, сложнее найти где не пишут. Если в гугле искать поиском, то везде одно и тоже: процессор такой-то, память такая-то, - про видеокарту только, то что у неё д.быть разрешение не менее 800 или 1020.
А то, что её память д.быть такая-то, скажем, не мене 256 m, или 128 - об этом только в 2-х местах, из множ-ва, увидел; про 3d только здесь у ALT Linux 7.

взять старый драйвер и переделать его, что-бы он смог работать с новым xorg

Я бы попробовал, - где-то об этом подробно пишется?
И не понятно, что в этом случае происходит - память моей видеокарты увеличивается вдвое до требуемых 256 мб?
Так можно переделать работу видеокарты (драйвера - 6.14.11.6921 от 05.12.2007 года) и под любую ОС линукс?, требующую более 256 мб памяти.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Я бы попробовал, - где-то об этом подробно пишется?
У вас не получится. Надо год-полтора входить в тему.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Как минимум разобраться как работал драйвер в старом xorg, что изменилось в настройках драйверов в новом, влезать в исходный код xorg и конкретного драйвера.

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 8 102
  • Кто ищет, тот найдёт.
    • Email
Если ставить шестую платформу, то обновлений безопасности я уже не буду получать?? - т.е. получится "та же XP".
Шестая платформа (та что p6) не поддерживается (срок поддержки вышел https://www.altlinux.org/Branches), однако некоторые исправления по безопасности и изредка новые версии ПО туда могут попадать. Как там в t6 (паралельный репозиторий с более демократическими политиками по попаданию ПО в репозиторий) не знаю, не пользуюсь (но туда любой участник team может собирать без согласований и подтверждения со стороны контроля качества и т.п.).
В этом линуксе с обновлениями также как в виндосе? - для старого оборудования не будет обновлений и вынуждают покупать новое железо.
Виндовс это виндовс, оставьте его в покое. В linux ситуация с драйверами от производителя весьма сильно отличается от того, как это есть в виндовс. Некоторые производители кладут на поддержку linux и на пользователей linux, т.к. в этом секторе не заработаешь, а отлаживать свои блобы приходится уже под две платформы. Поэтому им проще делать под самую распространенную ос для десктопов, где наибольший процент прибыли, а остальное поддерживать по остаточному принципу. Тут можно долго рассказывать, поэтому предлагаю самостоятельно поискать информацию в Сети на эту тему и самому разобраться в ситуации с драйверами.

Оффлайн ARHAN

  • Давно тут
  • **
  • Сообщений: 893
  • P8-SL/KDE-P8.2
sb

Скажите, как, совместимы ли эти образы Simply Linux 6.0.0 или даже 7.0.5 со старыми видеокартами AGP 128M GeForce FX 5200-8X, имеющими эту память в 128 Мбит.
Будут ли эти ОС загружаться не только в текстовом, а и в графическом изображении.
Должно нормально работать.Даже на р7-Simply Linux  работала AGP GF6800 долго, пока  не отменили  протокол SSE, перестал работать скайп ну и еще кое что из ведео.

Пришлось заменить материнку Soket 462 ,чтоб проц поддерживал SSE2. Ну соответственно с материнкой ушла и ведюха,хотя комп стоит на балконе рабочий,в инете можно полазить,кое что связаное с SSE2 на нем не работает. Драйвер использовался родной , как там пишут проприетарный(proprietary) NVIDIA типа,с англисским у меня не лады.

У братишки до сих пор работает AGP GF-7600SE, мать soket 478, там проц поддерживает SSE2 ,короче стоит KDE P7 ALT , все работает ,хотя ведюха старая AGP-ка используется,ну и 6800 лежит в запасе,сами не знаем когда помрет это железо,ему уже больше 10лет точно. Вот вйдет Р8 наверно уже это железо не будет на нем работать. Хотя будем пробовать,а вдруг.
« Последнее редактирование: 20.12.2015 16:06:59 от ARHAN »
Век живи, век учись.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 7 226
  • UNIX System V init
Если ставить шестую платформу, то обновлений безопасности я уже не буду получать?? - т.е. получится "та же XP".
В этом линуксе с обновлениями также как в виндосе?

Выше уже ответили.
Но здесь ещё зависит от того, на каком бранче у вас будет система.

Обновлений за 2015-й год:

в бранче p6
$ cat p6-i586.txt p6-noarch.txt | grep -v 'ftp:' | grep '\:' | wc -l
325

в бранче t6
$ cat t6-i586.txt t6-noarch.txt | grep -v 'ftp:' | grep '\:' | wc -l
840

Но и здесь нужно смотреть версионные различия.
Например для qmmp в p6 и t6, и в t6 их много:
diff qmmp-p6.txt qmmp-t6.txt | wc -l
210
« Последнее редактирование: 21.12.2015 04:51:37 от Speccyfighter »
ZX Spectrum 128K
Привет от NM:  # echo -e "\n[device]\nwifi.scan-rand-mac-address=no" >> /etc/NetworkManager/NetworkManager.conf

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 30 571
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Да почти везде, сложнее найти где не пишут. Если в гугле искать поиском, то везде одно и тоже: процессор такой-то, память такая-то, - про видеокарту только, то что у неё д.быть разрешение не менее 800 или 1020.
А то, что её память д.быть такая-то, скажем, не мене 256 m, или 128 - об этом только в 2-х местах, из множ-ва, увидел; про 3d только здесь у ALT Linux 7.
Это вы какие-то маркетинговые, а не технические статьи читаете.

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 8 102
  • Кто ищет, тот найдёт.
    • Email
Должно нормально работать.Даже на р7-Simply Linux  работала AGP GF6800
У братишки до сих пор работает AGP GF-7600SE
Эти карты и карта топикстартера - карты разных поколений. К сожалению, его поколение в седьмом бранче нормально работать не будет. Не надо вводить в заблуждение людей, если не уверены. У вас шестое и седьмое поколение (минимальная поддержка которых имеется), у ТС - пятое поколение (можно сказать, что 4+), поддержки полноценной в седьмом бранче нет, только в шестом, пятом и 4.

Оффлайн ARHAN

  • Давно тут
  • **
  • Сообщений: 893
  • P8-SL/KDE-P8.2
Эти карты и карта топикстартера - карты разных поколений Так там же сначало GF-6800 работла,более скоростная чем 5200 ,директ9. у обоих.Там все рядом у них,5200- бюджетка
 6800- игровая была. это я потом уже GF-7600SE где то дохлую взял востоновил,вот она теперь и пашет,хотя по скорости они с 6800 одинаковые если в попугаях мерять. Поеду до нового года в гости еще раз попробую 6800 вставить,год назад примерно занимался,но точно пока не было заморочек с SSE2, стояла 6800 на р7 даже симпли стоял.Сокет был атлоновский 462,проц не было поддержки SSE2 из за этого материнку махнули с интеловским процом 478,он имел поддержку SSE2, сначало на 6800 работал ,потом я свою ведюху отвез7600 .Короче работало на 7-ке.AGP железо.Дрова стояли родные,сначал использовал  просто nv  но они очень медленные и тупят.
 Да в принципе в инете можно сравнить 5200 и 6800 они обе на директе 9 работали примерно и дрова одинаковые у них.Я потому-что nvidia-kernel скачивал и обе карты работали .


скажем, не мене 256 m, или 128 так это  на  скорости обработки ведео будет сказываться,по другоми если проще--- с ютубе смотреть----- то в разрешении HD на 720 она у вас уже не потянет,а просто читать с инета пойдет,правда надо будет отключить вставную рекламу с браузера ,она тоже ведеопамять кушает. Короче работать должна но медленно и печально.
« Последнее редактирование: 21.12.2015 14:09:18 от ARHAN »
Век живи, век учись.